<?
session_start();
require("../conectar.php");
require("libFormato.php");
$nombremes=array("ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
$nombredias=array("D","L","M","M","J","V","S");
function obtieneDias($Month, $Year)
{
      return date("d",mktime(0,0,0,$Month+1,0,$Year));
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
     <head>
	     <?
             if(!isset($_GET['r'])){
			     $fecha = date("Y-m-d");
                 echo "<script language=\"JavaScript\">
                 <!-- 
                 document.location=\"$PHP_SELF?r=1&W=\"+screen.width+\"&H=\"+screen.height+\"&fecha=$fecha\";
                 //-->
                 </script>";
                 }else { 
				 // Código a mostrar en caso que se detecte la resolución de la pantalla
                     if(isset($_GET['W']) && isset($_GET['H'])) {
                     // Resolución detectada
					  $fecha =$_GET['fecha'];
                      $ano = substr($fecha, 0, 4);
                      $mes   = substr($fecha, 5, 2);
                      $dia = substr($fecha, 8,2);
					 
					 $fechaini=$ano."-".$mes."-01";
					 $fechafin=$ano."-".$mes."-".obtieneDias($mes,$año);
					 $mesant=$mes-1;
					 $anoant=$ano;
					 $anosig=$ano;
					 if($mesant<10){$mesant="0".$mesant;}
					 $messig=$mes+1;
					 if($mesant<"01"){$mesant="12";$anoant=$ano-1;}
					 if($messig<10){$messig="0".$messig;}
					 if($messig>12){$messig="01";$anosig=$ano+1;}
					 $fechaant=$anoant."-".$mesant."-01";
					 $fechasig=$anosig."-".$messig."-01";
					 $ancho=$_GET['W'];
					 $alto=$_GET['H'];
                 }
                 else {
               // Resolución no detectada
                 }
             }

?>
	     <style>
		      body{font-family:arial;}
		     .cont{position:absolute;min-width:<?echo $ancho?>px;min-height:100%;top:0;left:0;}
		     .prop{z-index:100;position:absolute;width:200px;min-height:100%;top:0;left:0;}
			 .cont-prop{margin-top:60px;border-right:1px solid;-moz-box-shadow: 0 0 20px #000;-webkit-box-shadow: 0 0 20px #000;box-shadow: 0 0 20px #000;}
			 .fila{position:relative;}
			 .nom-prop{position:relative;min-width:<?echo $ancho-10?>px !important;background:#0d0d0d;color:#FFFFFF;height:20px;padding-left:10px;padding-top:5px;padding-bottom:5px;-moz-box-shadow: 0 0 15px #000;-webkit-box-shadow: 0 0 15px #000;box-shadow: 0 0 15px #000;}
			 .nom-depa{position:relative;width:190px;height:20px;padding-left:10px;border-bottom:1px solid #BDBDBD;overflow: hidden;text-overflow: ellipsis;white-space: nowrap;}
			 .calendario{width:100%;height:60px;}
			 .nmes{z-index:1000;position:absolute;width:<?echo $na=$ancho-200?>px;height:16px;background:#045FB4;color:#FFFFFF;text-align:center;padding-top:5px;padding-bottom:5px;margin-left:200px;}
			 .subt{z-index:1000;position:fixed;width:100%;height:60px;background:#084B8A;margin-left:0px;}
			 .tdep{float:left;width:190px;height:20px;padding-left:10px;padding-top:5px;padding-bottom:5px;color:#FFFFFF;}
			 .dias{z-index:1000;position:absolute;width:<?echo $na=$ancho-200;?>px;height:30px;background:#FFFFFF;margin-top:28px;-moz-box-shadow: 0 0 15px #000;-webkit-box-shadow: 0 0 15px #000;box-shadow: 0 0 15px #000;margin-left:200px;}
			 .nd1{float:left;width:<?echo $na/obtieneDias($mes,$año);?>px;height:15px; font-size:11px;}
			 .nd2{float:left;width:<?echo $na/obtieneDias($mes,$año);?>px;height:15px;background:#E6E6E6;font-size:11px;}
			 .balance{z-index:0;position:absolute;width:<?echo $na?>px;margin-left:200px;top:60px;}
			 .fila-balance{position:relative;width:100%;}
			 .nom-espacio{z-index:200;height:30px;}
			 .fila-dias{width:<?echo $na?>px;height:20px;border-bottom:1px solid #BDBDBD;}
			 .bd1{float:left;width:<?echo ($na/obtieneDias($mes,$año))-1;?>px; height:20px;font-size:10px;border-right:solid 1px #BDBDBD;}
			 .bd2{float:left;width:<?echo ($na/obtieneDias($mes,$año))-1;?>px; height:20px;font-size:10px;background:#E6E6E6;border-right:solid 1px #BDBDBD;}
			 .pagado{background:#0431B4;border-right:1px solid #0B243B;}
			 .adeudo{background:#F781BE;border-right:1px solid #FA58AC;}
			 .libre{background:#DF0101;border-right:1px solid#B40404;}
			 .mantenimiento{background:#FFFF00;border-right:1px solid #FFBF00;}
			 .btnl{position:fixed;z-index:1000;left:0;width:70px;height:100px; background:url(img/btnant.png);top:50%;margin-top:-50px;}
			 .btnr{position:fixed;z-index:1000;right:0;width:70px;height:100px;background:url(img/btnsig.png);top:50%;margin-top:-50px;}
	     </style>
         <script language="javascript" src="js/jquery-1.4.2.min.js"></script>
         <script language="javascript" src="js/scroll.js"></script>
		 <script>
             $(document).ready(function() {
               $("body").niceScroll({cursorborder:"",cursorcolor:"#848484",boxzoom:false});
             });
			 
			 function cambiames(){
			     
			 }
function altbtn(ev,ms,ope,m,a)
  {
	  var px, py, cadena, obj,capa;
	  capa=document.getElementById("altboton");
	  if (!document.all)
		{
		 event = ev;
		 py = ev.pageY; 
		 px = ev.pageX;
		}
		else{
			 py = event.clientY +document.body.scrollTop; 
			 px = event.clientX +document.body.scrollLeft;
			}
		py=py-50;	 
		px=px-10;
		var cadena=ms;
		var opera=ope;
		var mes=m;
		var ano=a;

		$.post("detalle.php", { ope: opera,m:mes,a:ano}, function(data){
		$("#destino").html(data);
		});
		capa.style.background= "#f8bcf2";
		capa.style.color= "#A901DB";
		
		$("#altboton").fadeIn('slow');
		capa.style.left = px+"px";
		capa.style.top = py+"px";
		$("#altboton").html("<div id='destino'></div>");
 }
  function cierrate(nomcapa){
     if(nomcapa=="altboton"){
     $("#"+nomcapa).hide();
     }else{
     $("#"+nomcapa).fadeOut('fast');
    }
}
		 </script>
     </head>
	 <body>
	      <div class="prop">
		     <div class="cont-prop">
		     <div class="fila">
			     <? 
				     $sql="SELECT p.nombre AS propiedad,d.no_depto AS no, d.clave  AS clave FROM departamentos AS d INNER JOIN complejo as p ON d.id_complejo=p.id_complejo order by p.id_complejo,d.no_depto";
				     $r=mysql_query($sql);
					 $nprop="";
			         while($ls=mysql_fetch_array($r)){
					     if($nprop!=$ls["propiedad"]){
				        ?>
			             <div class="nom-prop"><?echo $ls["propiedad"]?></div>
				        <?
						     $nprop=$ls["propiedad"];
				         }
			         	 ?>	 
				         <div class="nom-depa" title="<?echo $ls["clave"]?>"><?
						     $arr=explode(" ",$nprop);
							 for($i=0;$i<count($arr);$i++){
							     echo substr($arr[$i], 0, 1);
							 }
						     echo $ls["no"]." (".$ls["clave"].")";
						 ?>
						 </div>
				         <?
				     }
				 ?>
			 </div>
		     </div>
		 </div>
		 <div class="cont">
		         <div class="calendario">
				     
				     <div class="subt">
					     <div class="nmes">BALANCE DEL MES DE <?echo $nombremes[intval($mes-1)]?></div>
					     <div class="tdep">DEPARTAMENTOS</div>
						 <div class="dias">
							     <?
				                $n=1;
				                      for($i=$fechaini;$i<=$fechafin;$i = date("Y-m-d", strtotime($i ."+ 1 days"))){
				                      $ano = substr($i, 0, 4);
                                      $mes   = substr($i, 5, 2);
                                      $dia = substr($i, 8,2);
				                      $nmes=mktime( 0, 0, 0, $mes, 1, $ano );
				                      ?>
				                      <div class="nd<?echo $n?>"  align="center"><? echo $nombredias[intval(date("w",strtotime($i)))];?></div>
				                      <?
				                         if($n==1){
				                             $n=2;
				                         }else{
					                     $n=1;
					                     }
				                    }			 
				               ?>
							       <?
				                  $n=1;
				                 $cont=1;
				                 for($i=$fechaini;$i<=$fechafin;$i = date("Y-m-d", strtotime($i ."+ 1 days"))){
				                 $ano = substr($i, 0, 4);
                                 $mes   = substr($i, 5, 2);
                                 $dia = substr($i, 8,2);
				                 $nmes=mktime( 0, 0, 0, $mes, 1, $ano );
				                 ?>
				                 <div class="nd<?echo $n?>" align="center"><?echo " ".intval($dia); ?></div>
				                 <?
				                 if($n==1){
				                    $n=2;
				                  }else{
					                $n=1;
					             }
					             $cont++;
				                 }			 
				                 ?>
						 </div>
					 </div>
					 <div class="balance" style="<?echo $na?>px">
					     <div class="fila-balance">
						     <? $sql="SELECT p.nombre AS propiedad, d.clave AS clave, d.id_departamento AS id  FROM departamentos AS d INNER JOIN complejo as p ON d.id_complejo=p.id_complejo order by p.id_complejo,d.no_depto";
				                   $r=mysql_query($sql);
					              $nprop="";
			                 while($ls=mysql_fetch_array($r)){
					         if($nprop!=$ls["propiedad"]){
				                 ?>
			                      <div class="nom-espacio"></div>
				                 <?
						          $nprop=$ls["propiedad"];
				                 }
								 $id=$ls["id"];
								 ?>
							 <div class="fila-dias">
							     <?
								 $n=1;
				                 $cont=1;
								  for($i=$fechaini;$i<=$fechafin;$i = date("Y-m-d", strtotime($i ."+ 1 days"))){
								  
								 $clase="";
				                 $ano = substr($i, 0, 4);
                                 $mes   = substr($i, 5, 2);
                                 $dia = substr($i, 8,2);
				                 $nmes=mktime( 0, 0, 0, $mes, 1, $ano );
								  
								  $sql="SELECT * FROM `conceptos` WHERE id_departamento='$id' AND dia_inicio<='$i' AND '$i' <= dia_salida AND (status_renta<>'' or status_renta<>'LIBRE') order by status_renta desc";
								  $c=mysql_query($sql);
				                  $st=mysql_fetch_array($c);
								  $status=$st["status_renta"];
								  $ini=$st["dia_inicio"];
								  $fin=$st["dia_salida"];
								  $id_renta=$st["id_renta"];
								  ///
								  $sqlc="select nombre,a_pat,a_mat, id_cliente FROM clientes where id_cliente='$st[id_cliente]'";
					              $re=mysql_query($sqlc);
								  $cli=mysql_fetch_array($re);
								  $cliente=$cli['nombre']." ".$cli['a_pat']." ".$cli['a_mat'];
								  $idcl=$cli['id_cliente'];
								  
								  
								 
								  /*$sqlp="select fecha,formapago,monto,concepto,tipo_moneda from pagos where id_renta='$st[id_renta]'";
					              $rep=mysql_query($sqlp);
								  $p=mysql_fetch_array($rep);
								  $fe=$p['fecha'];
								  $fp=$p['formapago'];
								  $mo=$p['monto'];
								  $con=$p['concepto'];
								  $tm=$p['tipo_moneda'];*/
								  //
								  if($status=="MANTENIMIENTO"){
								     $clase=' mantenimiento';
									 $detalle="EN MANTENIMIENTO DE ".$ini." AL ".$fin;
								  }
								  if($status=="PAGADO"){
								     $clase=' pagado';
									 $detalle="PAGADO- ".$cliente."FECHA DE ESTANCIA DE ".$ini." AL ".$fin.", cliente de: ".$socio;
								  }
								   if($status=="ANTICIPO"){
								     $clase=' adeudo';
									 $detalle="ANTICIPO- ".$cliente."FECHA DE ESTANCIA DE ".$ini." AL ".$fin.", cliente de: ".$socio;
									 
								  }
								   if(($status=="" || $status=="LIBRE" ) && $i<=date("Y-m-d")){
								     $clase=' libre';
									 $detalle="LIBRE";
								  }
								  $c=0;
								     ?>
				                     <a href="cedulas.php?idcliente=<?echo $idcl?>&idrenta=<?echo $id_renta?>" target="cliente"><div class="bd<?echo $n?><?
					                 echo $clase;?>" align="center" title="<?echo$detalle?>"></div></a>
				                     <?
									 if($n==1){
				                    $n=2;
				                     }else{
					                $n=1;
					                  }
					                 $cont++;
				                     }			 
								 ?>
							 </div>
							 <?
							    }
							 ?>
						 </div>
					 </div>
			     </div>
				 <a href="<?echo $PHP_SELF?>?r=1&W=<?echo $ancho?>&H=<?echo $alto?>&fecha=<?echo $fechaant?>" class="btnl"></a>
				 <a href="<?echo $PHP_SELF?>?r=1&W=<?echo $ancho?>&H=<?echo $alto?>&fecha=<?echo $fechasig?>" class="btnr"></a>
		 </div>
	 </body>
</html>	 